#alfredSvgPlace {
    position: absolute;
    top: 0px;
    right: 0px;
}

#alfred {
    visibility: hidden;
    width: 270px;
}

#jokerSvgPlace {
    position: absolute;
    top: 0px;
    left: 0px;
}

#joker {
    visibility: hidden;
    width: 200px;
}

#joker-laugh {
    position: absolute;
    z-index: 990;
    top: 0px;
    left: 0px;
    visibility: hidden;
    height: 100%;
}

#moon {
    visibility: hidden;
    position: absolute;
    z-index: -960;
    top: 100px;
    left: 20px;
    width: 100px;
}

#batjet {
    visibility: hidden;
    position: absolute;
    z-index: -955;
    width: 100%;
}

#batsignal {
    visibility: hidden;
    position: absolute;
    z-index: -970;
    width: 280px;
    right: 5px;
    left: auto;
}

#starsPlace {
    position: absolute;
    overflow: hidden;
    z-index: -980;
    height: 400px;
    bottom: 0;
}

.star {
    position: absolute;
    width: 6px;
    height: 6px;
    background: white;
    visibility: hidden;
    opacity: 0;
}

#sky {
    visibility: hidden;
    position: absolute;
    z-index: -990;
    width: 100%;
    bottom: 0;
}

#skySvgPlace {
    z-index: -990;
}

#gothamSvgPlace {
    z-index: -900;
}

#gotham {
    visibility: hidden;
    position: absolute;
    bottom: 0;
}

#gotham-2 {
    visibility: hidden;
    position: absolute;
    z-index: -950;
    right: 0px;
    top: 210px;
}

#dev-mode-on-text {
    visibility: hidden;
    position: absolute;
    z-index: 990;
    top: 5px;
    right: 20px;
    color: whitesmoke;
}

.visible {
    visibility: visible !important;
}

#buttons-menu {
    position: absolute;
    display: none;
    bottom: 20px;
    right: 20px;
    z-index: 990;
    width: 100px;
    height: 100px;
    border-style: hidden;
    border-radius: 100%;
    background-color: black
}

#buttons-menu>ul {
    margin: 0;
    padding: 0;
    text-align: center;
    list-style-type: none;
    display: block;
}

#buttons-menu>ul li {
    margin: 0;
    padding: 0;
    width: 100px;
    display: none;
    cursor: pointer;
    /* ################## START ################## */
    /* Debug Layout purposes - Please don´t delete */
    /* border: 1px solid white; */
    /* ################### END ################### */
}

#buttons-menu>ul li:first-child {
    height: 100px;
    cursor: auto;
}

#pin-menu {
    position: absolute;
    top: 8px;
    right: 8px;
    height: 20px;
    color: rgb(51, 51, 51);
    display: none;
    transition: color .25s ease-out;
    -webkit-transition: text-shadow .25s ease-out;
    -moz-transition: text-shadow .25s ease-out;
    -ms-transition: text-shadow .25s ease-out;
    -o-transition: text-shadow .25s ease-out;
    transition: text-shadow .25s ease-out;
}

#pin-menu:hover {
    color: whitesmoke;
    text-shadow: 0 0 6px cyan;
}

.menu-pinned {
    color: whitesmoke !important;
}

#menu-icon {
    display: block !important;
}

#buttons-menu>ul li>* {
    font-family: "Segoe UI", "Open Sans", "Trebuchet MS", Arial, Helvetica, sans-serif;
    font-size: 16px;
    font-weight: 600;
    color: steelblue;
    text-decoration: none;
    line-height: 50px;
    transition: color .25s ease-out;
    -webkit-transition: text-shadow .25s ease-out;
    -moz-transition: text-shadow .25s ease-out;
    -ms-transition: text-shadow .25s ease-out;
    -o-transition: text-shadow .25s ease-out;
    transition: text-shadow .25s ease-out;
}

#buttons-menu>ul li>*:hover {
    color: whitesmoke;
    text-shadow: 0 0 6px cyan;
}

#bat-symbol-ico {
    display: block;
    position: absolute;
    z-index: 991;
    top: 25px;
    left: 0;
    margin: 0;
}

#sqlEditorPlace {
    visibility: hidden;
    z-index: 990;
    width: 100%;
    display: flex;
    flex-flow: row wrap;
}

#sqlEditorPlace .box-inner-shadow {
    border-style: solid;
    border-width: 3px;
    border-radius: 20px;
    padding: 10px;
    margin: 7px;
    background-color: #0C1021;
}

#textAreaDiv {
    width: 100%;
}

.workbench-div {
    border-style: solid;
    border-width: 3px;
    border-radius: 25px;
    padding: 10px;
    background-color: rgb(18, 24, 51);
}

.editorItens {
    margin: 0;
    padding: 0;
    display: flex;
    width: 100%;
}

#tableSqlResult {
    font-family: "Segoe UI", "Open Sans", "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

#tableSqlResult td,
#tableSqlResult th {
    border: 1px solid #ddd;
    padding: 8px;
}

#tableSqlResult tr:nth-child(odd) {
    background-color: #dbdbdb;
}

#tableSqlResult tr:nth-child(even) {
    background-color: #f2f2f2;
}

#tableSqlResult tr:hover {
    background-color: yellow;
}

#tableSqlResult th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: rgb(23, 28, 36);
    color: white;
}

.box-shadow {
    -moz-box-shadow: 0px 0px 15px #000;
    -webkit-box-shadow: 0px 0px 15px #000;
    box-shadow: 0px 0px 15px #000;
}

.box-shadow-belt {
    -moz-box-shadow: 2px 2px 2px #000;
    -webkit-box-shadow: 2px 2px 2px #000;
    box-shadow: 2px 2px 2px #000;
}

.box-inner-shadow {
    -moz-box-shadow: inset 0 0 5px #000000;
    -webkit-box-shadow: inset 0 0 5px #000000;
    box-shadow: inset 0 0 5px #000000;
    margin: 2px;
}

.fullSize {
    position: absolute;
    width: 100%;
    height: 400px;
}

.centered-things {
    display: flex;
    align-items: center;
    justify-content: center;
}

.mobile-responsive {
    display: none;
    position: absolute;
    z-index: 999;
    width: 100%;
    height: 100%;
    text-align: center;
    font-family: 'Kalam', cursive;
    font-size: 2em;
    color: yellow;
    background-color: #000000;
}

.general-content {
    display: block;
}

@media only screen and (max-width: 1200px),
only screen and (max-height: 590px) {
    .mobile-responsive {
        display: block;
    }

    .general-content {
        display: none;
    }
}